Package Details: nginx-passenger 1.10.1-1

Git Clone URL: https://aur.archlinux.org/nginx-passenger.git (read-only)
Package Base: nginx-passenger
Description: HTTP Server with Passenger Module
Upstream URL: http://nginx.org
Licenses: custom
Conflicts: nginx, passenger
Submitter: trichards
Maintainer: trichards
Last Packager: trichards
Votes: 9
Popularity: 0.059730
First Submitted: 2013-12-31 13:44
Last Updated: 2016-07-07 20:26

Dependencies (13)

Required by (0)

Sources (5)

Latest Comments

ioquatix commented on 2016-05-12 02:33

I've recently made two packages with updated versions of nginx and passenger, that may be of interest as we were previously trying to use this package.

https://aur.archlinux.org/packages/nginx-mainline-passenger/
https://aur.archlinux.org/packages/passenger-nginx-module/

These two packages together work well and have a suitable configuration out of the box.

trichards commented on 2015-11-16 16:49

@frederik: Yes, I do plan on upgrading, but it's been difficult to find time to deal with all the directory structure changes introduced here: https://github.com/phusion/passenger/commit/b75a701e815a336e06211e751f7f6ed2decd5785

PRs welcome! https://github.com/t-richards/aur-nginx-passenger ^_^

frederik commented on 2015-11-16 16:08

Any plans to update to the latest passenger release?

guiguan commented on 2015-09-15 16:32

Nice work!

Please put a link (https://github.com/t-richards/aur-nginx-passenger) that points to your github page of this package.

guiguan commented on 2015-09-15 16:31

Please put a link (https://github.com/t-richards/aur-nginx-passenger) that points to your github page of this package

trichards commented on 2015-08-06 20:57

>This package includes the Apache module /usr/lib/httpd/modules/mod_passenger.so
>WTF makedepends=('hardening-wrapper' 'apache') ? it's for Nginx

Given that this package conflicts with/replaces the official 'community/passenger' package, I thought it would be nice to install the Apache module for compatibility reasons.

After you build the nginx-passenger package, you certainly don't have to keep apache installed.

davispuh commented on 2015-08-06 20:28

WTF makedepends=('hardening-wrapper' 'apache') ? it's for Nginx, why should I need Apache...

Synthead commented on 2015-04-13 18:00

This package includes the Apache module /usr/lib/httpd/modules/mod_passenger.so. This should be here as this is for Nginx. Please remove.

frederik commented on 2015-04-05 02:14

Thx for the new PKGBUILD. Some suggestions:

- you point to /usr/share/passenger/ngx_http_passenger_module/ in the locations.ini but you do not create this directory. You may add

# native support source nginx module
install -d "$pkgdir"/usr/share/passenger/ngx_http_passenger_module
cp -R ext/nginx/* "$pkgdir"/usr/share/passenger/ngx_http_passenger_module/

- you suggest to "set passenger_show_version_in_header off;". Well, that does not remove the X-Powered-By garbage. Here is a working patch (that does not generate pages without style and bad gateway errors as the old one): http://pastebin.com/XkuuKXZP

frederik commented on 2015-03-08 19:44

If anyone needs a 4.x package please post it here. I will make a package then.

@trichards: Thanks! Willing to test what you brew :)

All comments